Project

General

Profile

Optimization #2793

Python 3 support for python tools

Added by Shivani Bhardwaj 3 months ago. Updated about 2 months ago.

Status:
Closed
Priority:
Normal
Target version:
Effort:
Difficulty:
Label:

Description

Python tools other than suricata-update inside Suricata should have support for Python 3.

History

#1

Updated by Victor Julien 3 months ago

We should probably set a minimum python3 version. If we still support Centos6, that should probably dictate it.

#2

Updated by Jason Ish 3 months ago

Both CentOS 6 and 7 include Python 3.4 in EPEL. While CentOS 7 also has Python 3.6 in EPEL, it seems some of the Python 3 packages prefer Python 3.4, so its may be more likely to be installed.

#3

Updated by Victor Julien 2 months ago

  • Target version set to 5.0beta1
#4

Updated by Victor Julien about 2 months ago

  • Priority changed from Normal to High
#5

Updated by Shivani Bhardwaj about 2 months ago

Victor, suricatactl and suricatasc both are compatible with Python 3 now. Is there something else I am missing or is this issue good to close?

#6

Updated by Victor Julien about 2 months ago

  • Status changed from Assigned to Closed
  • Priority changed from High to Normal

Sounds like we're done then, thanks!

Also available in: Atom PDF